New shares to me are not downloaded

Bug #664019 reported by Facundo Batista on 2010-10-20
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-1-4
High
Guillermo Gonzalez
Trunk
High
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
Medium
Ubuntu One Foundations+ team
Maverick
Undecided
dobey

Bug Description

I accepted a share, the client is signaled, but it doesn't download the share content:

2010-10-20 12:46:37,943 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SV_VOLUME_CREATED, args:(), kw:{'volume': <ubuntuone.storageprotocol.volumes.ShareVolume object at 0xb2fb28c>}
2010-10-20 12:46:37,944 - ubuntuone.SyncDaemon.VM - INFO - Adding new share with id: 32e95a2b-876d-41b7-82fe-8063b970ad07 - path: '/home/facundo/.local/share/ubuntuone/shares/CP to U1 from Cristian Parrino'
2010-10-20 12:46:37,968 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: VM_SHARE_CREATED, args:('32e95a2b-876d-41b7-82fe-8063b970ad07',), kw:{}
2010-10-20 12:46:37,969 - ubuntuone.SyncDaemon.DBus - DEBUG - emit_new_share: share_id u'32e95a2b-876d-41b7-82fe-8063b970ad07'.
2010-10-20 12:47:00,969 - ubuntuone.SyncDaemon.Main - NOTE - ---- MARK (state: <State: 'QUEUE_MANAGER' (queues IDLE connection 'With User With Network')>; queues: metadata: 0; content: 0; hash: 0, fsm-cache: hit=5193 miss=16791) ----

---------------------

TEST CASE:
Need two Ubuntu One users to perform this test (User A, User B). User B needs the client connected to Ubuntu One.

1. User A shares a folder (Test Share) with User B
2. User B receives email invite, accepts it and sees the share in the web UI
3. User B goes opens ~/Ubuntu One/Shared With Me/ in Nautilus

Result: ~/Ubuntu One/Shared With Me/Test Share from User A/ does not appear
Expected result: ~/Ubuntu One/Shared With Me/Test Share from User A/ appears without needing to connect/disconnect client

Related branches

Changed in ubuntuone-client:
status: Confirmed → In Progress
assignee: nobody → Guillermo Gonzalez (verterok)
Changed in ubuntuone-client (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Ubuntu One Ops+ team (ubuntuone-ops+)
Changed in ubuntuone-client (Ubuntu):
importance: Critical → Medium
assignee: Ubuntu One Ops+ team (ubuntuone-ops+) → Ubuntu One Foundations+ team (ubuntuone-foundations+)
tags: added: u1-maverick-sru
description: updated
Changed in ubuntuone-client:
importance: Critical → High
dobey (dobey) on 2010-10-25
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2010-12-15
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Released
dobey (dobey) on 2011-02-18
Changed in ubuntuone-client (Ubuntu Maverick):
assignee: nobody → Rodney Dawes (dobey)
milestone: none → maverick-updates
status: New → In Progress

Accepted ubuntuone-client into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-client (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Joshua Hoover (joshuahoover) wrote :

Verified fixed on maverick with proposed update: ubuntuone-client 1.4.6-0ubuntu1

Martin Pitt (pitti) on 2011-02-25
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.4.6-0ubuntu2

---------------
ubuntuone-client (1.4.6-0ubuntu2) maverick-proposed; urgency=low

  * 01-get-published-race.path:
    - Fix a race condition with requesting published files (LP: #661292)

ubuntuone-client (1.4.6-0ubuntu1) maverick-proposed; urgency=low

  * New upstream release.
    - SD deletes files when local error on partial creation (LP: #657195)
    - Partials fail to be created with "filename too long" (LP: #662660)
    - New shares to me are not downloaded (LP: #664019)
    - Deleting UDF on one computer does not delete elsewhere (LP: #674092)
    - Preferences does not display info properly (LP: #657850)
    - "Out of Space" dialog is broken (LP: #650671)
    - Nautilus allows publishing files in others' shares (LP: #712674)
    - SSO help text does not appear translated (LP: #686647)
    - Nautilus is not aware of published files (LP: #661292)
    - Ubuntu One crashes in scan() (LP: #692496)
    - Volume info with None for free space causes QuotaExceeded (LP: #671023)
    - Settings daemon extension should not request credentials (LP: #702171)
 -- Rodney Dawes <email address hidden> Fri, 04 Mar 2011 12:10:05 -0500

Changed in ubuntuone-client (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers